ST_ClusterIntersecting
Prev | 8.16. Clustering Functions | Next

## Name

ST_ClusterIntersecting — Aggregate function that clusters the input geometries into connected sets.

## Synopsis

`geometry[] ST_ClusterIntersecting(`geometry set g`)`;

## Description

ST_ClusterIntersecting is an aggregate function that returns an array of GeometryCollections, where each GeometryCollection represents an interconnected set of geometries.

Availability: 2.2.0

## Examples

    WITH testdata AS
      (SELECT unnest(ARRAY['LINESTRING (0 0, 1 1)'::geometry,
    		       'LINESTRING (5 5, 4 4)'::geometry,
    		       'LINESTRING (6 6, 7 7)'::geometry,
    		       'LINESTRING (0 0, -1 -1)'::geometry,
    		       'POLYGON ((0 0, 4 0, 4 4, 0 4, 0 0))'::geometry]) AS geom)

    SELECT ST_AsText(unnest(ST_ClusterIntersecting(geom))) FROM testdata;

    --result

    st_astext
    ---------
    GEOMETRYCOLLECTION(LINESTRING(0 0,1 1),LINESTRING(5 5,4 4),LINESTRING(0 0,-1 -1),POLYGON((0 0,4 0,4 4,0 4,0 0)))
    GEOMETRYCOLLECTION(LINESTRING(6 6,7 7))

## See Also

ST_ClusterDBSCAN, ST_ClusterKMeans, ST_ClusterWithin

Prev | Up | Next
ST_ClusterDBSCAN | Home | ST_ClusterKMeans